Liquidation Heatmap
liquidation-heatmap
Chart: Liquidation Heatmap
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
leverage | float | Leverage multiplier for liquidation price calculation. Must be > 0. Default: 10 | No |
margin_rate | float | Margin rate for liquidation price calculation. Must be between 0 and 1. Default: 0.004 | No |
decay_lambda | float | Decay factor for weighting older candles. Must be > 0. Default: 0.2 | No |
bucket_size | float | Price bucket size in USD. Must be > 0. Default: 250 | No |
Output
| Index | Name | Type | Description |
|---|---|---|---|
| 0 | price_bucket | float | Price bucket in USD |
| 1 | long_intensity | float | Long liquidation intensity (0–1) |
| 2 | short_intensity | float | Short liquidation intensity (0–1) |
Example Request
https://charts.bitbo.io/api/v1/liquidation-heatmap/?leverage=10&margin_rate=0.004&decay_lambda=0.2&bucket_size=250
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/liquidation-heatmap/?leverage=10&margin_rate=0.004&decay_lambda=0.2&bucket_size=250&latest=true&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/liquidation-heatmap/"
params = {
"leverage": "10",
"margin_rate": "0.004",
"decay_lambda": "0.2",
"bucket_size": "250",
"latest": "true",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/liquidation-heatmap/";
const params = new URLSearchParams({
leverage: "10",
margin_rate: "0.004",
decay_lambda: "0.2",
bucket_size: "250",
latest: "true",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/liquidation-heatmap/?leverage=10&margin_rate=0.004&decay_lambda=0.2&bucket_size=250&latest=true&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Example Output
{
"data": [
[
90000,
0,
0
],
[
89750,
0,
0
],
[
89500,
0,
0.0794
],
]
}